=== debian/changelog ===
debian-reference (2.78) unstable; urgency=medium

  [ xiao sheng wen (肖盛文) ]
  * Update the copyright to 2021. Closes: #979863
  * Update printing for post-CUPS 1.6. Closes: #941801 (reopened)

  [ Osamu Aoki ]
  * Many translation updates (es, zh_CN, nb, it, po)

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Apr 2021 22:44:39 +0900
