=== debian/changelog ===
debian-reference (2.89) unstable; urgency=medium

  * Update en: ripgrep, GUI filer action scripts.
  * Update zh-cn, id, zh-tw translation.
  * Source-only upload.

 -- Osamu Aoki <osamu@debian.org>  Sun, 28 Nov 2021 16:52:48 +0900

debian-reference (2.88) unstable; urgency=medium

  * Source-only upload.

 -- Osamu Aoki <osamu@debian.org>  Sun, 14 Nov 2021 15:09:41 +0900

debian-reference (2.87) unstable; urgency=medium

  * Binary upload after adding Indonesian translation package.

 -- Osamu Aoki <osamu@debian.org>  Wed, 03 Nov 2021 17:37:36 +0900

debian-reference (2.86) unstable; urgency=medium

  * Activate Indonesian.

 -- Osamu Aoki <osamu@debian.org>  Wed, 03 Nov 2021 16:47:49 +0900

debian-reference (2.85) unstable; urgency=medium

  * Reorganize git.
  * Stop building epub (headache for reproducibility.)
  * Lock TZ and unlock parallel build.

 -- Osamu Aoki <osamu@debian.org>  Fri, 17 Sep 2021 18:11:56 +0900

debian-reference (2.84) unstable; urgency=medium

  * Updates on vim examples and git tips.
  * Updated translation.
  * Try harder to make this build reproducible

 -- Osamu Aoki <osamu@debian.org>  Wed, 15 Sep 2021 20:29:24 +0900

debian-reference (2.83) unstable; urgency=medium

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))

  [ Osamu Aoki ]
  * English: revise rsyslog on systemd for Bullseye.
  * English: Add documentation and examples on Vim for novice users.
  * Make this build reproducible, ... I hope.

 -- Osamu Aoki <osamu@debian.org>  Wed, 01 Sep 2021 11:14:16 +0900

debian-reference (2.82) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))
  * Update 09_system_tips.rawxml: add <para> in <listitem>

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian) (26 % translated)

  [ Osamu Aoki ]
  * Fix FTBR for epub
  * Refine Vim TERMINAL modes description
  * Update 09_system_tips.rawxml: with <emphasis>
  * Better dependency for -common

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Aug 2021 09:24:41 +0900

debian-reference (2.81) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified))
  * Fix typo: add one absence double quotes
  * Update .gitlab-ci.yml: add opencc to before_script, it need by zh-cn,zh-tw
  * Update .gitlab-ci.yml : delete unused line '#  - make entity'
  * Update .gitlab-ci.yml : before_script add dpkg-dev package.

  [ Claudio Filho F Filho ]
  * Translated using Weblate (Portuguese)

  [ Osamu Aoki ]
  * Change dependency of debian-reference-common (Closes: #992660)
  * Multiarch compatible apt-pinning (Closes: #881063)
  * Link to sbuild config in debmake-doc
  * vim 8 updates (Closes: #992716)

 -- Osamu Aoki <osamu@debian.org>  Wed, 25 Aug 2021 23:16:08 +0900

debian-reference (2.80) unstable; urgency=medium

  * Upload as source-only.
  * Fix unlaunchable desktop entry. LP: #1678440
  * Fix regex for package name. LP: #1913869

 -- Osamu Aoki <osamu@debian.org>  Sat, 21 Aug 2021 10:56:31 +0900

debian-reference (2.79) unstable; urgency=medium

  [ Osamu Aoki ]
  * Clean up build scripts.
  * Major updates of English
  * Create remote.ent
  * Regular markup changes for all POs
  * Sync POs with updated English
  * Change branch name to "latest"
  * Add script to merge 2 PO files
  * Add autopkgtest
  * Test build now includes id nb sv fi which is not enough for
    releasing as packages
  * Fix markup errors in POs (sv, ja).

  [ xiao sheng wen(肖盛文) ]
  * Coordinate to include translation from Weblate

 -- Osamu Aoki <osamu@debian.org>  Fri, 20 Aug 2021 21:19:08 +0900
