=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
+                     faketime,
                      fonts-liberation2,
                      fonts-vlgothic,
                      fonts-wqy-microhei,
@@ -24,23 +25,36 @@
                      texlive-lang-spanish,
                      texlive-xetex,
                      w3m,
-                     xsltproc,
-                     zip
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
+                     xsltproc
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/debian/debian-reference.git -b latest
 Vcs-Browser: https://salsa.debian.org/debian/debian-reference
 Homepage: https://www.debian.org/doc/user-manuals#quick-reference
 
 Package: debian-reference-common
 Architecture: all
 Depends: sensible-utils, ${misc:Depends}
-Suggests: calibre, mc, vim, w3m | www-browser
+Recommends: w3m | www-browser
+Suggests: calibre,
+          debian-reference,
+          debian-reference-de,
+          debian-reference-en,
+          debian-reference-es,
+          debian-reference-fr,
+          debian-reference-id,
+          debian-reference-it,
+          debian-reference-ja,
+          debian-reference-pt,
+          debian-reference-zh-cn,
+          debian-reference-zh-tw,
+          mc,
+          vim
 Description: Debian system administration guide, common files
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
  .
- This provides menu functionality and other common files.
+ This only provides menu functionality and other common files.
 
 Package: debian-reference
 Architecture: all
@@ -48,6 +62,7 @@
 Recommends: debian-reference-de,
             debian-reference-es,
             debian-reference-fr,
+            debian-reference-id,
             debian-reference-it,
             debian-reference-ja,
             debian-reference-pt,
@@ -92,6 +107,17 @@
  administration through shell-command examples for non-developers.
  .
  The French translation.
+
+Package: debian-reference-id
+Architecture: all
+Depends: debian-reference-common (>= 2.51), ${misc:Depends}
+Suggests: debian-reference-en, doc-base
+Description: Debian system administration guide, Indonesian translation
+ This Debian Reference is intended to provide a broad overview of the Debian
+ system as a post-installation user's guide. It covers many aspects of system
+ administration through shell-command examples for non-developers.
+ .
+ The Indonesian translation.
 
 Package: debian-reference-it
 Architecture: all
