=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,18 @@
 #export DH_VERBOSE=1
 ## no-parallel to build with the cleaner log (it slows!)
 #BUILDOPT:=	 --parallel
-BUILDOPT:=	 --no-parallel
+#BUILDOPT:=	 --no-parallel
 
 ## ----------------------------------------------------------------------
 # Package building language choice
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
-LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
+LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es
+LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	zh-cn zh-tw
-NOPDF	:=	
+NOPDF	:=      id
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -43,6 +43,7 @@
 	    fr) LANGX="French" ;;   \
 	    fi) LANGX="Finnish" ;;  \
 	    es) LANGX="Spanish" ;;  \
+	    id) LANGX="Indonesian" ;;  \
 	    it) LANGX="Italian" ;;  \
 	    ja) LANGX="Japanese" ;; \
 	    pl) LANGX="Polish" ;; \
@@ -50,7 +51,6 @@
 	    pt-br) LANGX="Portuguese (Brazil)" ;; \
 	    zh-tw) LANGX="Chinese (Traditional)" ;; \
 	    zh-cn) LANGX="Chinese (Simplified)" ;; \
-	    id) LANGX="Bahasa Indonesia" ;; \
 	    *) LANGX="$$x" ;; \
 	  esac ; \
 	  sed  -e "s/@@/$$XX/g" < all.links-in  >$(MANUAL)-$${XX}.links ; \
@@ -69,12 +69,13 @@
 	dh_compress -X.pdf
 
 override_dh_auto_test:
-	: # no need to test build html pages
+	# error if shipped scripts have syntax error in them
+	sh -n bin/debian-reference
+	sh -n bin/mkindexhtml
 
 override_dh_auto_clean:
 	# Clean files for debhelper in debian/
 	-rm -f $(MANUAL)-common.preinst  $(MANUAL)-common.postinst
-	-rm -f $(addsuffix .preinst,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
 	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
 	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
 	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
