## debian-reference 2.89+11.0trisquel4

=== debian/changelog ===
debian-reference (2.89+11.0trisquel4) aramo; urgency=medium

  * Remove references to non-free repos #5950, remove already applied
    patch

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jul 2022 01:03:18 +0000
