=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     faketime,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python3,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git -b latest
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: sensible-utils, ${misc:Depends}
Recommends: w3m | www-browser
Suggests: calibre,
          debian-reference,
          debian-reference-de,
          debian-reference-en,
          debian-reference-es,
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.
