=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #
 MANUAL	:=	debian-reference
 LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es
-LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es
+LANGPO  :=	
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	zh-cn zh-tw
 NOPDF	:=      id
@@ -60,7 +60,7 @@
 	done
 	dh_auto_build $(BUILDOPT) -- \
 		"LANGALL=$(LANGALL)" \
-		"LANGPO=$(LANGPO)" \
+		 \
 		"NOPDF=$(NOPDF)" \
 		all
 
@@ -81,4 +81,4 @@
 	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
 	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
 	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
-	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean
+	$(MAKE) "LANGALL=$(LANGALL)"   clean
